$header-height: 60px;
$sidebar-width: 260px;

.app-container {
  position: relative;
  height: inherit;
  background-color: $white_2;

  .layout-body {
    display: flex;
    justify-content: flex-end;
    height: calc(100vh - 60px);

    .sidebar-wrapper {
      box-shadow: 1px 0px 0px rgba(27, 31, 35, 0.1);
      z-index: 99;
      position: fixed;
      background-color: #fff;
      flex: 0 0 auto;
      padding-top: 32px;

      top: $header-height;
      left: -$sidebar-width;
      bottom: 0;
      transform: translate3d(0, 0, 0);
      width: $sidebar-width;
      visibility: hidden;
      transition: transform 250ms, visibility 250ms;

      &-open {
        transform: translate3d($sidebar-width, 0, 0);
        visibility: visible;
      }

      .menu-item-wrapper {
        display: flex;
        align-items: center;
        cursor: pointer;

        padding: 0 16px;
        margin-bottom: 16px;

        &:hover {
          .nav-label {
            color: #0366d6;
          }
          svg {
            color: #0366d6;
          }
        }

        .nav-label {
          font-size: 16px;
          font-weight: 500;
          margin-left: 12px;
        }
      }
    }

    .sidebar-backdrop {
      opacity: 0.5;
      background-color: black;
      z-index: 1;
      position: absolute;
      width: 100%;
      height: 100%;
    }

    .content-container {
      z-index: 0;
      flex-grow: 1;
      max-width: 100vw;
      height: 100%;
      transition: max-width 250ms;

      display: flex;
      flex-direction: column;

      &-home-with-sidebar {
        max-width: calc(100vw - #{$sidebar-width});
      }

      .content-wrapper {
        max-width: 1140px;
        min-height: 100%;
        margin: 32px auto;
        padding: 0 16px;

        display: flex;
        flex-direction: column;
        justify-content: space-between;
      }

      &-fluid {
        .content-wrapper {
          max-width: unset;
          margin: 0;
          padding: 0;
        }
      }
    }
  }

  .layout-header {
    display: flex;
    height: $header-height;
    background-color: $white_1;
    filter: drop-shadow(0px 1px 0px rgba(27, 31, 35, 0.1));
    z-index: 999;

    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;

    .container-left {
      flex-basis: $sidebar-width;

      .nav-wrapper {
        height: 100%;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        padding: 16px;
        cursor: pointer;

        user-select: none;
        -moz-user-select: none;
        -webkit-user-select: none;
        -ms-user-select: none;

        &:hover {
          background-color: #f2f2f2;
        }
        span {
          margin-left: 12px;
          font-size: 16px;
          font-weight: 500;
        }
      }
    }

    .container-center {
      flex-grow: 1;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .container-right {
      flex-basis: $sidebar-width;
      display: flex;
      justify-content: flex-end;

      .toolbox {
        padding: 16px;
        display: flex;
        align-items: center;
      }
    }
  }
}

.service-layout-container {
  height: calc(100vh - #{$header-height});
  display: grid;
  grid-template-columns: 200px auto;

  .content-sidebar {
    padding-top: 32px;

    .sub-menu-item {
      font-weight: 500;
      padding: 12px 16px;
      cursor: pointer;

      &:hover {
        background-color: #f1f8ff;
      }

      &-active {
        background-color: #f1f8ff;
        color: $blue_5;
      }
    }
  }

  .content-wrapper {
    overflow: auto;
  }
}

.content-header {
  margin-top: 32px;
  margin-left: 24px;
  margin-right: 24px;
}
